/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.wahlausschuss.boundary;

import de.ivu.elect.business.wahlausschuss.entity.WahlausschussEntschaedigung;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlausschussEntschaedigungDAO extends AbstractWahlausschussEntschaedigungDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(WahlausschussEntschaedigung wahlausschussEntschaedigung){
    getEntityManager().persist(wahlausschussEntschaedigung);
  }

  public void remove(WahlausschussEntschaedigung wahlausschussEntschaedigung){
    getEntityManager().remove(wahlausschussEntschaedigung);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

        
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}